Skip to main content

Store Vectorized Text

Catalog + Curated

This page is generated from the full broker catalog and enhanced with curated examples.

POSTqdrant.qdrant-store

Chunk and store text with metadata in a target collection.

Request Body

{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-store-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-store",
"arguments": {
"collection_name": "school",
"text": "Lecture summary for COM120 chapter 4.",
"metadata": {
"class": "COM120",
"material_type": "lecture"
}
}
}
}

Arguments Schema

{
"type": "object",
"required": [
"collection_name",
"text"
],
"properties": {
"collection_name": {
"type": "string"
},
"text": {
"type": "string"
},
"metadata": {
"type": "object",
"additionalProperties": true
}
},
"additionalProperties": false
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-store-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-store",
"arguments": {
"collection_name": "school",
"text": "Lecture summary for COM120 chapter 4.",
"metadata": {
"class": "COM120",
"material_type": "lecture"
}
}
}
}'

Example Responses

{
"ok": true,
"stored": 1,
"collection": "school"
}